JavaScript/jQuery DropDownBox - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the DropDownBox features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The DropDownBox component meets a variety of Section 508 and WCAG 2.x compliance standards. Known exceptions:

Section 508 criteria WCAG 2.x criteria Exception description
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
1.4.3 Contrast (Minimum) (Level AA)
1.4.11 Non-text Contrast (Level AA 2.1 and 2.2)
DropDownBox does not support Windows High Contrast themes.
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
1.4.3 Contrast (Minimum) (Level AA) The placeholder text color does not meet contrast criteria.
11.5.2.5 Object information 3.3.1 Error Identification (Level A)
3.3.3 Error Suggestion (Level AA)
4.1.2 Name, Role, Value (Level A)
The validation state and error message of DropDownBox are not pronounced when the control’s validation state changes or users change the text input.

Keyboard Navigation

A user can use the following keys to interact with the DropDownBox component:

Key Action
Alt + ↓ Opens the drop-down field.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

JavaScript
  • function registerKeyHandlers () {
  • const dropDownBox = $("#dropDownBoxContainer").dxDropDownBox("instance");
  • dropDownBox.registerKeyHandler("backspace", function(e) {
  • // The argument "e" contains information on the event
  • });
  • dropDownBox.registerKeyHandler("escape", function(e) {
  • dropDownBox.option('opened', false);
  • });
  • }

Screen Reader Support

The DropDownBox component supports screen readers and complies to WAI-ARIA standards. Known exceptions are listed in the Accessibility Standards Compliance topic.

To improve accessibility, use the inputAttr property to specify aria-label for the component. You do not need to specify aria-label if you use label.

React DropDownBox - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the DropDownBox features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The DropDownBox component meets a variety of Section 508 and WCAG 2.x compliance standards. Known exceptions:

Section 508 criteria WCAG 2.x criteria Exception description
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
1.4.3 Contrast (Minimum) (Level AA)
1.4.11 Non-text Contrast (Level AA 2.1 and 2.2)
DropDownBox does not support Windows High Contrast themes.
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
1.4.3 Contrast (Minimum) (Level AA) The placeholder text color does not meet contrast criteria.
11.5.2.5 Object information 3.3.1 Error Identification (Level A)
3.3.3 Error Suggestion (Level AA)
4.1.2 Name, Role, Value (Level A)
The validation state and error message of DropDownBox are not pronounced when the control’s validation state changes or users change the text input.

Keyboard Navigation

A user can use the following keys to interact with the DropDownBox component:

Key Action
Alt + ↓ Opens the drop-down field.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DropDownBox } from 'devextreme-react/drop-down-box';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.dropDownBoxRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <DropDownBox ref={this.dropDownBoxRef} />
  • );
  • }
  •  
  • get dropDownBox() {
  • return this.dropDownBoxRef.current.instance();
  • }
  •  
  • componentDidMount() {
  • this.dropDownBox.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.dropDownBox.registerKeyHandler('escape', function(e) {
  • this.dropDownBox.option('opened', false);
  • });
  • }
  • }
  •  
  • export default App;

Screen Reader Support

The DropDownBox component supports screen readers and complies to WAI-ARIA standards. Known exceptions are listed in the Accessibility Standards Compliance topic.

To improve accessibility, use the inputAttr property to specify aria-label for the component. You do not need to specify aria-label if you use label.